<?php
namespace WrsEventsHtmlmail;
defined('ABSPATH') || exit;

/* Required Plugins
/*-----------------------------------------------------------------------------------*/
add_action('admin_notices', __NAMESPACE__ . '\plugin_dependencies');
function plugin_dependencies($checkonly = NULL)
{
	if (current_user_can('install_plugins'))
	{
		$theme = wp_get_theme();
		$author = ($theme && $theme->exists() && $theme['author']) ? $theme['author'] : 'your Wordpress-theme developer';
		$format = '<div class="notice notice-error"><p>Theme-warning required plugin %s: %s</p></div>';

		$plugins = [
			'wrs-events-extended/wrs-events-extended.php' => [
				'name' => '<a href="https://github.com/dmind-gmbh/dmind-wp-events" target="_blank">d-mind Events</a>',
				'slug' => 'dmwpevents',
			],
		];

		$out = '';
		foreach ($plugins as $plugin => $nfo)
		{
			if (is_wp_error(validate_plugin($plugin)))
			{
				if (!$nfo['slug'])
				{
					$out .= sprintf($format, $nfo['name'], "Please contact $author for installation instructions.");
				}
				else
				{
					$link = wp_nonce_url(self_admin_url('update.php?action=install-plugin&plugin=' . $nfo['slug']), 'install-plugin_' . $nfo['slug']);
					$out .= sprintf($format, $nfo['name'], "Please <a href='$link'>install</a> this Plugin.");
				}
			}
			else if (is_plugin_inactive($plugin))
			{
				$link = wp_nonce_url('plugins.php?action=activate&amp;plugin=' . urlencode($plugin), 'activate-plugin_' . $plugin);
				$out .= sprintf($format, $nfo['name'], "Please <a href='$link'>activate</a> this Plugin.");
			}
		}
		if ($checkonly)
		{
			return $out != '';
		}
		echo $out;
	}
}
