<?php

namespace Mjml;

class Exception extends \Exception
{
	/**
	 * @var string|null
	 */
	private $requestId;

	/**
	 * @var \DateTime|null
	 */
	private $startedAt;

	public function __construct(string $message = NULL, int $code = NULL, \Throwable $previous = NULL, string $requestId = NULL, \DateTimeInterface $startedAt = NULL)
	{
		$this->requestId = $requestId;
		$this->startedAt = $startedAt;
		parent::__construct($message, $code, $previous);
	}

	/**
	 * @return string|null
	 */
	public function getRequestId()
	{
		return $this->requestId;
	}

	/**
	 * @return \DateTime|null
	 */
	public function getStartedAt()
	{
		return $this->startedAt;
	}
}
